Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.plus.jaas
Class JAASPrincipal

    java.lang.Object
      org.mortbay.jetty.plus.jaas.JAASPrincipal

All Implemented Interfaces:
  java.io.Serializable, java.security.Principal

Direct Known Subclasses:
  JAASRole

    public class JAASPrincipal

extends java.lang.Object
implements java.security.Principal, java.io.Serializable

JAASPrincipal

Impl class of Principal interface.

#### Notes

#### Usage

###

###

###

###

###

    See Also:Serialized Form

    Constructor Summary

    JAASPrincipal(java.lang.String userName)

    Method Summary

     boolean
    equals(java.lang.Object p)

     java.lang.String
    getName()

     int
    hashCode()

     java.lang.String
    toString()

    Methods inherited from class java.lang.Object

    clone, finalize, getClass, notify, notifyAll, wait, wait, wait

    Constructor Detail

    JAASPrincipal

    public JAASPrincipal(java.lang.String userName)

    Method Detail

    equals

    public boolean equals(java.lang.Object p)

    Specified by:equals in interface java.security.PrincipalOverrides:equals in class java.lang.Object

    hashCode

    public int hashCode()

    Specified by:hashCode in interface java.security.PrincipalOverrides:hashCode in class java.lang.Object

    getName

    public java.lang.String getName()

    Specified by:getName in interface java.security.Principal

    toString

    public java.lang.String toString()

    Specified by:toString in interface java.security.PrincipalOverrides:toString in class java.lang.Object

          Overview
          Package
        Class
          Use
          Tree
          Deprecated
          Index
          Help

     PREV CLASS
     NEXT CLASS

      FRAMES
     NO FRAMES

      SUMMARY: NESTED | FIELD | CONSTR | METHOD

    DETAIL: FIELD | CONSTR | METHOD

    Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.